<template>
	<div class="landlord">
		<div class="wrapper-page">
			<v-breadcrumbs :items="breadcrumbs" large class="my-4 pa-0"></v-breadcrumbs>
			<h1>Подробная информация о собственнике</h1>
			<p>ФИО: {{ fio }}</p>
			<p>Адрес: {{ address }}</p>
			<v-row>
				<v-col cols="9">
					<v-data-table
						:headers="headersGas"
						:items="gas[0].data"
						item-key="month"
						class="elevation-1"
					>
						<template v-slot:top>
							<h2 class="pa-5">{{gas[0].name}} {{gas[0].counter_id}}</h2>
						</template>
					</v-data-table>
				</v-col>
			</v-row>
		</div>
	</div>
</template>

<script>


export default {
	name: 'Landlord',

	components: {
	},

	computed: {
		breadcrumbs() {
			return [
				{
					text: 'Таблица собственников',
					disabled: false,
					to: '/landlords',
					exact: true,
				},
				{
					text: `Собственник ${this.fio}`,
					disabled: true,
				},
			]
		}
	},

	data: () => ({
		id: 1,
		fio: 'Алексеев Алексей Алексеевич',
		address: 'Романа Брянского 1, 1',
		headersGas: [
			{
				text: 'Месяц',
				align: 'start',
				sortable: true,
				value: 'month',
			},
			{ text: 'Дата оплаты', value: 'paid_date' },
			{ text: 'На начало периода', value: 'indication_start' },
			{ text: 'На конец периода', value: 'indication_end' },
			{ text: 'Тариф', value: 'tarif' },
			{ text: 'Начислено', value: 'accrued' },
			{ text: 'Оплачено', value: 'paid'},
		],
		gas: [
			{
				counter_id: '32512812',
				name: 'Газовый счетчик',
				data: [
					{
						month: '01.2019',
						paid_date: '05.02.2019',
						indication_start: 0,
						indication_end: 10,
						tarif: 5.9834,
						accrued: 59.84,
						paid: 59.84,
					},
					{
						month: '02.2019',
						paid_date: '07.03.2019',
						indication_start: 10,
						indication_end: 30,
						tarif: 5.9834,
						accrued: 119.68,
						paid: 119.68,
					},
					{
						month: '03.2019',
						paid_date: '10.04.2019',
						indication_start: 30,
						indication_end: 40,
						tarif: 5.9834,
						accrued: 59.84,
						paid: 59.84,
					},
					{
						month: '04.2019',
						paid_date: '05.05.2019',
						indication_start: 40,
						indication_end: 50,
						tarif: 5.9834,
						accrued: 59.84,
						paid: 59.84,
					},
					{
						month: '05.2019',
						paid_date: null,
						indication_start: 50,
						indication_end: 51,
						tarif: 5.9834,
						accrued: 5.984,
						paid: 0,
					}
				],
			}
		],
	}),
};
</script>


<style lang="stylus">

</style>